/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

:root {
    --themecolor: #7f378f;
}

.theme-color {
    color: var(--themecolor);
}

.mt-30 {
    margin-top: 30px;
}

.mt-50 {
    margin-top: 50px;
}

.mb-30 {
    margin-bottom: 30px;
}

.grid-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.grid-2-left {
    display: grid;
    grid-template-columns: 1fr .5fr;
    align-items: center;
}

/* ===== Lang-Dropdown ===== */
#top .sf-menu > li.wpml-ls-menu-item[class*="current"]:not([class*="menu-item-btn"]) > a .menu-title-text:before {
    background-color: #F5F5F5;
}

#top .sf-menu > li.wpml-ls-menu-item[class*="current"]:not([class*="menu-item-btn"]) > a .menu-title-text {
    color: black;
    font-weight: bold;
}

#header-outer #top .sf-menu > li.wpml-ls-menu-item[class*="current"]:not([class*="menu-item-btn"]) > a > .sf-sub-indicator i {
    color: black !important;
}

header .wpml-ls-menu-item .menu-title-text {
    display: inline-flex;
    align-items: center;
}

header .wpml-ls-menu-item img.wpml-ls-flag {
    width: 18px !important;
    height: 18px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 2px;
}

header .sub-menu.tracked-pos li.wpml-ls-item:last-child {
    border-top: 1px solid white;
}

header nav > ul > .wpml-ls-menu-item ul {
    width: 100%;
    transform: translateY(15px);
    padding: 0;
    margin-top: -8px;
    border-radius: 15px;
    z-index: 1;
    overflow: hidden;
}

header nav > ul > .wpml-ls-menu-item ul li a {
    padding: 8px;
    display: block;
}

/* Buttons */
.back-btn {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    background: #f3f4f6;
    padding: 10px 18px;
    border-radius: 12px;
    font-weight: bold;
    font-size: 16px;
    color: var(--themecolor);
}

.back-btn .icon {
    display: flex;
}

body .back-btn .icon img {
    margin-bottom: 0;
}

a.back-btn:hover .icon img {
    filter: brightness(0) invert(1);
}

a.back-btn:hover {
    color: white;
    background: var(--themecolor);

}

/* Single Property*/
.single-property .back-btn {
    float: right;
}

.single-property .property-base-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 50px;
    align-items: start;
}


.single-property .info {
    display: flex;
    gap: 40px;
}

.single-property .price {
    font-size: 36px;
    line-height: 38px;
    font-weight: 100;
}

.single-property .info > div {
    display: flex;
    gap: 10px;
}

.single-property .info img {
    height: 30px;
}

.single-property .details {
    display: flex;
    gap: 25px;
    flex-direction: column;
}

.single-property .details > div:not(:last-child)::after {
    content: "";
    position: absolute;
    bottom: -15px;
    left: 0;
    right: 0;
    height: 1px;
    background: #e5e5e5;
}

.single-property .flex {
    display: flex;
    gap: 15px;
}

.single-property .details img {
    margin: 0;
}

.single-property .details > div {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    position: relative;
    font-weight: bold;
}

.single-property .map-wrapper {
    border-radius: 15px;
    overflow: hidden;
}

.single-property .contact {
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 5px;
    padding: 20px 30px;
}

.single-property h2 {
    font-weight: bold;
}

.single-property .service-items {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.single-property .service-item img {
    margin: 0 5px 0 0;

}

.single-property .service-item {
    display: flex;
    align-items: center;
}

/*Contact Form*/
.single-property .form-container {
    padding: 20px;
    background-color: #F5F5F5;
    border-radius: 15px;
}

@media only screen and (max-width: 1000px) {
    .single-property .property-base-grid {
        grid-template-columns: 1fr;
    }
}


.single-property .details .hide {
    display: none !important
}